module (..., package.seeall)

require("controllerfunctions")

default_action = "status"

status = function( self )
	return self.model.get_status()
end

startstop = function( self )
	return controllerfunctions.handle_startstop(self, self.model.startstop_service, self.clientdata)
end

listfiles = function( self )
	return self.model.list_files()
end

editfile = function( self )
	return controllerfunctions.handle_form(self, function() return self.model.get_file(self.clientdata.filename) end, self.model.update_file, self.clientdata, "Save", "Edit File", "File Saved")
end

function createfile(self)
	return controllerfunctions.handle_form(self, self.model.getnewfile, self.model.createfile, self.clientdata, "Create", "Create New Freeswitch File", "Freeswitch File Created")
end

function deletefile(self)
	return self:redirect_to_referrer(self.model.deletefile(self.clientdata.filename))
end
